Blackboard Collaborate - User Compatibility Test

Windows:

Supported OS's and recommended versions of Java

  • Windows •Windows XP (32 bit with 32 bit JVM)
  • Windows Vista (32 bit with 32 bit JVM )
  • Windows Vista (64 bit with 64 bit JVM)
  • Windows 7 (32 bit with 32 bit JVM)
  • Windows 7 (64 bit with 64 bit JVM)
  • Windows 8 (32 bit with 64 bit JVM
  • Windows 8 (64 bit with 64 bit JVM)
  • Pentium III 1 GHz processor
  • Supported Client Java Versions 1.5 1.6 (32 and 64bit)
  • 32bit JVM's with 32bit Operating System
  • 64bit JVM's with 64bit Operating System
  • Java Access Bridge 2.1 (Using Jaws)

Supported Browsers for use with Blackboard Collaborate

  • IE 7
  • IE 8
  • IE 9
  • IE 10
  • IE 11
  • Firefox 3.6+

Macintosh:

Supported OS's and recommended versions of Java

  • OS X 10.5 (32 bit with 32 bit JVM)
  • OS X 10.5 (64bit with 64bit JVM)
  • OS X 10.6 (64 bit with 32 bit JVM)
  • OS X 10.6 ( 64 bit with 64 bit JVM)
  • OS X 10.7 ( 64 bit with 64 bit JVM)
  • OS X 10.8 ( 64 bit with 64 bit JVM)
  • G4, G5 or Intel processor
  • Supported Client Java Versions
  • Apple Java 1.5.0_16 (J2SE5 - 32 bit)
  • Apple Java 1.6.0_07 (J2SE6 - 64 bit)
  • Oracle Java 1.7 See known issues

Supported Browsers for use with Blackboard Collaborate

  • Safari 4.x
  • Safari 5.1
  • Firefox 3.5+

In addition, Windows and Macintosh clients require:

  • 256 MB of free RAM
  • 20 MB free disk space
  • 28.8 kbps Internet connection
  • Speaker and Microphone, headsets are preferred

Mobile Devices:

iPhone - iPad - iPod Touch:

Requirements: Compatible with iPhone 3GS, iPhone 4, iPhone 4S, iPhone 5, iPod touch (3rd generation), iPod touch (4th generation), iPod touch (5th generation) and iPad. Requires iOS 4.3 or later.

Blackboard Collaborate Mobile Application iPhone - iPad - iPod Touch

Android Devices :

Blackboard Collaborate Mobile Application for Android devices - Google Play

Kindle Fire HD:

Blackboard Collaborate Mobile Application for Kindle Fire